Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class AbstractFrontend

    java.lang.Object
      org.deegree.portal.context.AbstractFrontend

All Implemented Interfaces:
  Frontend

Direct Known Subclasses:
  JSPFrontend

    public abstract class AbstractFrontend

extends Object
implements Frontend

this class encapsulates the description of the front end of a GUI setting up on a web map context. this is a deegree specific form of description. beside some

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`AbstractFrontend(String controller, GUIArea west, GUIArea east, GUIArea south, GUIArea north, GUIArea center)` Creates a new Frontend object.

Method Summary
`GUIArea` | `getCenter()`
`String` | `getController()`
`GUIArea` | `getEast()`
`Module[]` | `getModulesByName(String moduleName)` Returns the Modules of the given name (search order is north-east-south-west-center).
`GUIArea` | `getNorth()`
`GUIArea` | `getSouth()`
`GUIArea` | `getWest()`
`void` | `setCenter(GUIArea center)` sets the description of the central GUI area
`void` | `setController(String controller)` sets the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page a java class or something else.
`void` | `setEast(GUIArea east)` sets the description of the east GUI area
`void` | `setNorth(GUIArea north)` sets the description of the north GUI area
`void` | `setSouth(GUIArea south)` sets the description of the south GUI area
`void` | `setWest(GUIArea west)` sets the description of the west GUI area

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFrontend

    public AbstractFrontend(String controller,
                            GUIArea west,
                            GUIArea east,
                            GUIArea south,
                            GUIArea north,
                            GUIArea center)

  Creates a new Frontend object.

  Parameters:
    `controller` -
    `west` -
    `east` -
    `south` -
    `north` -
    `center` -

Method Detail

### getController

    public String getController()

  Specified by:
    `getController` in interface `Frontend`
  Returns:
    the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page, a java class or something else.

### getWest

    public GUIArea getWest()

  Specified by:
    `getWest` in interface `Frontend`
  Returns:
    the description of the west GUI area

### getEast

    public GUIArea getEast()

  Specified by:
    `getEast` in interface `Frontend`
  Returns:
    the description of the east GUI area

### getSouth

    public GUIArea getSouth()

  Specified by:
    `getSouth` in interface `Frontend`
  Returns:
    the description of the south GUI area

### getNorth

    public GUIArea getNorth()

  Specified by:
    `getNorth` in interface `Frontend`
  Returns:
    the description of the north GUI area

### getCenter

    public GUIArea getCenter()

  Specified by:
    `getCenter` in interface `Frontend`
  Returns:
    the description of the central GUI area

### setController

    public void setController(String controller)

  sets the name of the central controller of the front end. depending on the implementation this may be the name of a HTML/JSP-page a java class or something else.

  Specified by:
    `setController` in interface `Frontend`
  Parameters:
    `controller` -

### setWest

    public void setWest(GUIArea west)

  sets the description of the west GUI area

  Specified by:
    `setWest` in interface `Frontend`
  Parameters:
    `west` -

### setEast

    public void setEast(GUIArea east)

  sets the description of the east GUI area

  Specified by:
    `setEast` in interface `Frontend`
  Parameters:
    `east` -

### setSouth

    public void setSouth(GUIArea south)

  sets the description of the south GUI area

  Specified by:
    `setSouth` in interface `Frontend`
  Parameters:
    `south` -

### setNorth

    public void setNorth(GUIArea north)

  sets the description of the north GUI area

  Specified by:
    `setNorth` in interface `Frontend`
  Parameters:
    `north` -

### setCenter

    public void setCenter(GUIArea center)

  sets the description of the central GUI area

  Specified by:
    `setCenter` in interface `Frontend`
  Parameters:
    `center` -

### getModulesByName

    public Module[] getModulesByName(String moduleName)

  Returns the Modules of the given name (search order is north-east-south-west-center).

  Specified by:
    `getModulesByName` in interface `Frontend`
  Parameters:
    `moduleName` - the name of the Module to extract from this Frontend.
  Returns:
    an array of Modules of the given name. The array length may be 0, if no module of the given name is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org